= nng_tls_config_free(3tls)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_tls_config_free - deallocate a TLS configuration object

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>
#include <nng/supplemental/tls/tls.h>

void nng_tls_config_free(nng_tls_config *cfg);
----

== DESCRIPTION

The `nng_tls_config_free()` decrements the reference count on the
TLS configuration object pointed to by _cfg_, and if the resulting
reference count is zero, then deallocates the configuration object.

== RETURN VALUES

None.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:nng_tls_config_alloc.3tls.adoc[nng_tls_config_alloc(3tls)],
xref:nng.7.adoc[nng(7)]
